

body, div, main, section, article {
  box-sizing: border-box; 
}

/* universal background color */
body {
  background-color: #000000; 
}

/* header image */
header img {
  width: 500px;
  max-width: 98%;
}

/* clearfix hack to prevent image overflow. check out the W3Schools page on it. */
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

/*FONTS*/

/* header font */
#showComic, header, h1, h2, h3, h4, h5 {
  color: white;
  font-family: 'Courier New', cursive;
}

/* body font */
.subPage p, footer, #authorNotes, .archiveTable {
  color: white;
  font-family: 'Open Sans', sans-serif;
  font-size: large;
}

/* STYLING FOR SUBPAGES (about, characters, etc) */

/*general*/

.subPage {
  align-content: center;
  width: 1000px;
  max-width: 60%;
  background-color: #2c3124;
  outline: 3px solid #b6b44b;
  margin: auto;
  margin-bottom: 0px;
  padding: 5px 0px 20px;
}

.subPage:not(.archivePage) {
  text-align: center;
}

/* for pictures displayed to the left */
.leftPic {
  clear: left;
  float:right;
  margin-left:12px;
}

/* for pictures displayed to the left */
.rightPic {
  clear: right;
  float:left;
  margin-left:12px;
}

.aligncenter {
  text-align: center;
}

/* specific to Characters */
.charTable, .charTable td { 
  width: 100%;
}

/* link colors */
a {
      color: #ffffff;
    }

a:hover {
      color: #68b313;
    }

/* HEADER */
header #nav {
  background-color: #000000;
  outline: px solid #000000;
  font-size: 20px;
  width: 100%;
  margin: auto;
}

/* HOMEPAGE */

/* style nav button images */
.comicNav {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  padding: 5px 5px;
}
.comicNav img {
  width: 80px;
  max-width: 98%;
  padding-right: 30px;
}

/* style comic page image */
.comicPage img {
  width: 900px;
  max-width: 98%;
}

/* style author notes */
#authorNotes {
  background-color:#2c3124;
  outline: 3px solid #b6b44b;
  margin: auto;
  padding: 20px;
  padding-top: 12px;
  width: 800px;
  max-width: 98%;
}

/* ARCHIVE PAGE */

/* style table in which archive is displayed */
.archiveTable {
  width: 90%;
  border-collapse:collapse;
}

/* style archive table cells */
.archiveTable td {
  padding: 3px;
  vertical-align: central;
  
}

/* style table cell in which page title is displayed */
.archiveCellTitle:not(.leftAlignTableText) {
  max-width: 300px;
  text-align: center;
}

.archiveCellDate {
  text-align: right;
  min-width: 120px;
}

.archiveCellNum {
  text-align: center;
  min-width: 30px;
}

/* style the thumbnails on the archive page */
.archiveCellThumb {
    width: 500px;
    max-width: 60px;
}
.archiveCellThumb img{
    max-width: 100%;
  }

/* for left aligning the text in a table cell */
.leftAlignTableText td {
  text-align: left;
}

/* highlight a table row and make pointer into hand when moused over */
.archiveRow:hover {
  background-color: #000000;
  cursor: pointer;
}

/* FOOTER */
footer {
  color: #ffffff;
  margin-top: 12px;
  margin-bottom: 15px;
  float: left;
  width: 100%;
  font-size: 12px;
}

footer p {
  margin: auto;
}

footer a {
  color: #c8d32b
}

footer a:hover {
  color: #474b12
}

/* take away margins from the edges of the screen */
html, body {
  margin: 0;
}

